Contenu | Rechercher | Menus

Annonce

DVD, clés USB et t-shirts Ubuntu-fr disponibles sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 30/11/2021, à 20:57

Marethyu

[RÉSOLU] Roccat Kone Aimo module équivalent Linux

Bonjour à tous,

Je suis récemment passé à Ubuntu 20.04 en dual boot avec Windows et je recherche un équivalent au logiciel Roccat Swarm qui n'est pas compatible de base avec Linux. Il s'agit d'une souris Roccat Kone Aimo (Lien : https://support.roccat.com/s/downloads? … e=fr&co=fr ) Le logiciel sert notamment à régler la couleur des led ou des boutons supplémentaires de la souris. La souris est bien reconnue en faisant un « lsusb » (Lien : https://postimg.cc/WFm51PZm).

J'ai tenté d'installer un module équivalent sur la documentation qui s'appelle Roccat-tool (Le lien est ici : https://doc.ubuntu-fr.org/clavier_souri … te_souris), mais le module ne semble plus fonctionner. Quand je fais les opérations d'installations :

sudo add-apt-repository ppa:berfenger/roccat
sudo apt-get update

J'ai un message d'erreur qui annonce que le dossier PPA n'a pas de dossier release (Image : https://postimg.cc/jnXPGx79)

Je ne sais pas trop ce que ça veut dire, mais je ne peu pas aller au-delà. Quand j'essaie d'autres alternatives, elles sont difficile à comprendre et j'ai l'impression de faire n'importe quoi.

Pourriez-vous m'aider à installer un module pour faire fonctionner Roccat sur Linux ? Et si le lien proposé par la documentation ne fonctionne plus, connaîtriez-vous des personnes ayant réussi à trouver des équivalents s'il vous plaît ? Je vous en serai reconnaissant.

Marethyu

RÉSOLU : Pour le moment, il est seulement possible de modifier la couleur des leds sur la Roccat Kone Aimo avec le module eruption. L’attribution des touches n’est pas encore configurable avec eruption, roccat-tools ou libratbag.

Dernière modification par Marethyu (Le 06/12/2021, à 11:39)

Hors ligne

#2 Le 30/11/2021, à 21:27

xubu1957

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Bonjour,

Fournis le message d'erreur.

Le 29/03/2018, moko138 a écrit :

Un retour complet doit contenir toutes les lignes,
depuis celle, entière, de la commande
jusqu'à la ligne attendant la commande suivante
, exemple :

moi@mon-pc~$: ma-commande
son retour
moi@mon-pc~$:

Faute de quoi, il manque souvent à ceux qui tentent de t'aider des éléments essentiels.

(Plus de détails dans ce message-ci Retour utilisable de commande.)

Et si tu ne veux pas divulguer ton nom d'user, tu le remplaces par "toto" ou ce que tu veux.

Montre :

sudo apt update
lsusb

et  d'éventuels paquets cassés :

dpkg -l | grep -v ^ii

Méthode détaillée :

cqfd93 a écrit :

Bonjour,

Entrer des commandes dans un terminal et donner le résultat - Voilà la marche à suivre :

  1. Ouvre le terminal avec ctrl-alt-t

  2. Sélectionne la commande voulue avec un triple clic (ça sélectionne toute la ligne, même la fin si on ne la voit pas)

  3. Colle-la dans le terminal avec un clic molette, valide avec Entrée

  4. Sélectionne et copie tout ce que te dit le terminal depuis la commande jusqu'à la dernière ligne incluse

  5. Clique sur le <> de l'éditeur de message

    1530289742.png

  6. Colle là où se trouve le curseur (entre le ] et le [)

  7. Refais toutes les étapes depuis la 2 pour les autres commandes.

moko138 a écrit :

1) Les balises-code sont les < > (crochets bleus) de la barre de mise en forme.

1578811399.jpg
        _ _ _

/!\  Si vous avez plusieurs retours à donner, séparez-les bien (toujours pour la lisibilité) :

comme
cela.

Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#3 Le 30/11/2021, à 23:10

Marethyu

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Bonjour,

Le message d'erreur est le suivant :

After installing the package "roccat-tools", you have to add every user you want to be able to use the roccat tools to the group "roccat". It can be done in the system settings menu or by typing in a terminal:

$ sudo adduser username roccat
 Plus d’info : https://launchpad.net/~berfenger/+archive/ubuntu/roccat
Appuyez sur [ENTRÉE] pour continuer ou sur Ctrl-c pour annuler l'ajout.

Atteint :1 http://archive.canonical.com/ubuntu focal InRelease
Ign :2 http://ppa.launchpad.net/berfenger/roccat/ubuntu focal InRelease        
Atteint :3 http://fr.archive.ubuntu.com/ubuntu focal InRelease                 
Atteint :4 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease         
Atteint :5 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu focal InRelease
Atteint :6 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease       
Atteint :7 http://ppa.launchpad.net/kisak/kisak-mesa/ubuntu focal InRelease    
Atteint :8 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease  
Atteint :9 http://security.ubuntu.com/ubuntu focal-security InRelease          
Err :10 http://ppa.launchpad.net/berfenger/roccat/ubuntu focal Release         
  404  Not Found [IP : 91.189.95.85 80]
Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/berfenger/roccat/ubuntu focal Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.

Quand j'écris sudo apt update, voilà ce qui s'affiche :

Atteint :1 http://archive.canonical.com/ubuntu focal InRelease
Atteint :2 http://fr.archive.ubuntu.com/ubuntu focal InRelease                                                          
Ign :3 http://ppa.launchpad.net/berfenger/roccat/ubuntu focal InRelease                                                 
Atteint :4 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease                                                                
Atteint :5 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu focal InRelease                                                       
Atteint :6 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease                                                              
Atteint :7 http://ppa.launchpad.net/kisak/kisak-mesa/ubuntu focal InRelease                                                           
Atteint :8 http://ppa.launchpad.net/lutris-team/lutris/ubuntu focal InRelease                       
Atteint :9 http://security.ubuntu.com/ubuntu focal-security InRelease               
Err :10 http://ppa.launchpad.net/berfenger/roccat/ubuntu focal Release              
  404  Not Found [IP : 91.189.95.85 80]
Lecture des listes de paquets... Fait
E: Le dépôt http://ppa.launchpad.net/berfenger/roccat/ubuntu focal Release n'a pas de fichier Release.
N: Les mises à jour depuis un tel dépôt ne peuvent s'effectuer de manière sécurisée, et sont donc désactivées par défaut.
N: Voir les pages de manuel d'apt-secure(8) pour la création des dépôts et les détails de configuration d'un utilisateur.

lsusb :

Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 005: ID 04f3:0103 Elan Microelectronics Corp. ActiveJet K-2024 Multimedia Keyboard
Bus 001 Device 003: ID 058f:6254 Alcor Micro Corp. USB Hub
Bus 001 Device 002: ID 1e7d:2e27 ROCCAT ROCCAT Kone Aimo
Bus 001 Device 008: ID 3285:0607 Nacon GC100
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Paquet potentiellement cassée :

Souhait=inconnU/Installé/suppRimé/Purgé/H=à garder
| État=Non/Installé/fichier-Config/dépaqUeté/échec-conFig/H=semi-installé/W=attend-traitement-déclenchements
|/ Err?=(aucune)/besoin Réinstallation (État,Err: majuscule=mauvais)
||/ Nom                                        Version                               Architecture Description
+++-==========================================-=====================================-============-===============================================================================
rc  gpaint                                     0.3.3-6.1build1                       amd64        GNU Paint - a small, easy to use paint program for GNOME
rc  imagemagick                                8:6.9.10.23+dfsg-2.1ubuntu11.4        amd64        image manipulation programs -- binaries
rc  kdeconnect                                 1.4-0ubuntu5                          amd64        connect smartphones to your desktop devices.
rc  libkf5bookmarks-data                       5.68.0-0ubuntu1                       all          Qt library with support for bookmarks and the XBEL format.
rc  libkf5contacts-data                        5:5.68.0-0ubuntu1                     all          data files for kcontacts
rc  libkf5people-data                          5.68.0-0ubuntu1                       all          data files for kpeople
rc  libnvidia-compute-470:amd64                470.82.00-0ubuntu0.20.04.1            amd64        NVIDIA libcompute package
rc  linux-image-5.11.0-27-generic              5.11.0-27.29~20.04.1                  amd64        Signed kernel image generic
rc  linux-modules-5.11.0-27-generic            5.11.0-27.29~20.04.1                  amd64        Linux kernel extra modules for version 5.11.0 on 64 bit x86 SMP
rc  linux-modules-extra-5.11.0-27-generic      5.11.0-27.29~20.04.1                  amd64        Linux kernel extra modules for version 5.11.0 on 64 bit x86 SMP
rc  linux-modules-nvidia-470-5.11.0-27-generic 5.11.0-27.29~20.04.1                  amd64        Linux kernel nvidia modules for version 5.11.0-27
rc  linux-modules-nvidia-470-5.11.0-40-generic 5.11.0-40.44~20.04.2+1                amd64        Linux kernel nvidia modules for version 5.11.0-40
rc  linux-objects-nvidia-470-5.11.0-27-generic 5.11.0-27.29~20.04.1                  amd64        Linux kernel nvidia modules for version 5.11.0-27 (objects)
rc  nvidia-compute-utils-470                   470.82.00-0ubuntu0.20.04.1            amd64        NVIDIA compute utilities
rc  nvidia-kernel-common-470                   470.82.00-0ubuntu0.20.04.1            amd64        Shared files used with the kernel module
rc  rsyslog                                    8.2001.0-1ubuntu1.1                   amd64        reliable system and kernel logging daemon

Hors ligne

#4 Le 30/11/2021, à 23:17

xubu1957

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

On ne voit aucun paquet pour focal 20.04 dans launchpad.net/~berfenger/+archive/ubuntu/roccat/+packages


Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Xubuntu 20.04 LTS - Lenovo T410 -18.04.1 LTS Toshiba Satellite A300  Membre de Linux-Azur

En ligne

#5 Le 01/12/2021, à 00:17

abelthorne

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Marethyu a écrit :

J'ai un message d'erreur qui annonce que le dossier PPA n'a pas de dossier release (Image : https://postimg.cc/jnXPGx79)
Je ne sais pas trop ce que ça veut dire [...]

Ça signifie que le PPA (dépôt tiers) en question n'a pas de branche qui correspond à ta version d'Ubuntu, à savoir "focal" (20.04).

En effet, en allant sur la page du PPA, on voit dans le menu "Published in" que la dernière version gérée est disco (19.04). Le dépôt a donc l'air abandonné.

On peut éventuellement essayer de le mettre dans les sources à une version plus ancienne et voir si ça passe. Tout va dépendre des dépendances des paquets hébergés ; c'est possible que roccat-tools soit installable sans problème. Je viens de jeter un coup d'œil à l'intérieur du paquet, les dépendances n'ont pas l'air trop funky.

En premier lieu, il va falloir supprimer le dépôt obsolète. Donne le retour de :

ls /etc/apt/sources.list.d

Ensuite, on tentera de télécharger et installer manuellement le deb.

Hors ligne

#6 Le 01/12/2021, à 10:33

Marethyu

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Bonjour,

Voici ce qui s'affiche en utilisant ls /etc/apt/sources.list.d :

banshee-team-ubuntu-ppa-focal.list
banshee-team-ubuntu-ppa-focal.list.save
berfenger-ubuntu-roccat-focal.list
berfenger-ubuntu-roccat-focal.list.save
graphics-drivers-ubuntu-ppa-focal.list
graphics-drivers-ubuntu-ppa-focal.list.save
kisak-ubuntu-kisak-mesa-focal.list
kisak-ubuntu-kisak-mesa-focal.list.save
lutris-team-ubuntu-lutris-focal.list
lutris-team-ubuntu-lutris-focal.list.save
x3n0m0rph59-ubuntu-eruption-focal.list
x3n0m0rph59-ubuntu-eruption-focal.list.save

Hors ligne

#7 Le 01/12/2021, à 11:37

abelthorne

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Supprime les fichiers du dépôt :

sudo rm /etc/apt/sources.list.d/berfenger-ubuntu-roccat-focal.list /etc/apt/sources.list.d/berfenger-ubuntu-roccat-focal.list.save

puis recharge la liste :

sudo apt-get update

Ensuite, télécharge le paquet roccat-tools le plus récent sur le PPA : https://launchpad.net/~berfenger/+archi … _amd64.deb
Une fois le téléchargement effectué, il sera normalement dans ton dossier Téléchargements. Si c'est bien le cas, installe-le comme suit et donne les retours des deux commandes :

sudo dpkg -i ~/Téléchargements/roccat-tools_5.9.0-1-ppa1~disco1_amd64.deb
sudo apt-get install -f

Hors ligne

#8 Le 01/12/2021, à 15:35

Marethyu

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Bonjour,

Résultat de dpkg -i :

Sélection du paquet roccat-tools précédemment désélectionné.
(Lecture de la base de données... 205635 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../roccat-tools_5.9.0-1-ppa1~disco1_amd64.deb ...
Dépaquetage de roccat-tools (5.9.0-1-ppa1~disco1) ...
dpkg: des problèmes de dépendances empêchent la configuration de roccat-tools :
 roccat-tools dépend de libgaminggear0 (>= 0.15.1) ; cependant :
  Le paquet libgaminggear0 n'est pas installé.

dpkg: erreur de traitement du paquet roccat-tools (--install) :
 problèmes de dépendances - laissé non configuré
Traitement des actions différées (« triggers ») pour gnome-menus (3.36.0-1ubuntu1) ...
Traitement des actions différées (« triggers ») pour desktop-file-utils (0.24-1ubuntu3) ...
Traitement des actions différées (« triggers ») pour mime-support (3.64ubuntu1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.17-2) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
Des erreurs ont été rencontrées pendant l'exécution :
 roccat-tools

Résultat de l'installation :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Correction des dépendances... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libllvm12 libllvm12:i386 ratbagd
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés : 
  libgaminggear-common libgaminggear0
Les NOUVEAUX paquets suivants seront installés :
  libgaminggear-common libgaminggear0
0 mis à jour, 2 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 102 ko dans les archives.
Après cette opération, 403 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] O
Réception de :1 http://fr.archive.ubuntu.com/ubuntu focal/universe amd64 libgaminggear-common all 0.15.1-9 [16,8 kB]
Réception de :2 http://fr.archive.ubuntu.com/ubuntu focal/universe amd64 libgaminggear0 amd64 0.15.1-9 [85,6 kB]
102 ko réceptionnés en 0s (666 ko/s)      
Sélection du paquet libgaminggear-common précédemment désélectionné.
(Lecture de la base de données... 206068 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libgaminggear-common_0.15.1-9_all.deb ...
Dépaquetage de libgaminggear-common (0.15.1-9) ...
Sélection du paquet libgaminggear0:amd64 précédemment désélectionné.
Préparation du dépaquetage de .../libgaminggear0_0.15.1-9_amd64.deb ...
Dépaquetage de libgaminggear0:amd64 (0.15.1-9) ...
Paramétrage de libgaminggear-common (0.15.1-9) ...
Paramétrage de libgaminggear0:amd64 (0.15.1-9) ...
Paramétrage de roccat-tools (5.9.0-1-ppa1~disco1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.31-0ubuntu9.2) ...

Du coup, j'ai essayé les différents modules, mais aucun n'est adapté à ma souris Kone Aimo. S'il y a des modules qui s'appellent Kone et Kone +, let deux ne reconnaissent pas ma souris et refusent d'appliquer des changements, même en branchant-débranchant ma souris.

Hors ligne

#9 Le 01/12/2021, à 18:19

abelthorne

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

En tout cas, l'installation de roccat-tools a pu se faire sans problème. À noter qu'il faut apparemment ajouter les utilisateurs manuellement au groupe roccat (cf le début du premier retour en #3) et je ne suis pas sûr que tu l'aies fait. La commande devrait être la suivante si ton nom d'utilisateur est marethyu (à adapter avec le bon sinon) :

sudo adduser marethyu roccat

Il faudra peut-être redémarrer ensuite.

Hors ligne

#10 Le 02/12/2021, à 17:29

Marethyu

Re : [RÉSOLU] Roccat Kone Aimo module équivalent Linux

Bonjour,

Après avoir essayé la commande et redémarré l’ordinateur, j’ai essayé avec tous les modules. Malheureusement, rien ne fonctionne. Il faut bien un module Roccat Kone Aimo pour la faire fonctionner.

En poursuivant, mes recherches, j’ai découvert une autre application, Eruption, proposé par X3n0m0rph59 (lien : https://github.com/X3n0m0rph59/eruption). Il y un prototype expérimental pour Roccat Kone Aimo. Je vais l’essayer puis je vous redirai.

EDIT : J’ai donc installé Eruption plus une extension firefox. Le logiciel fonctionne bien sur ma Roccat Kone Aimo. Je peux changer les LED, mais je ne peux pas encore changer les boutons de ma souris. Je vais voir avec le développeur si c’est possible ou non.

EDIT 2 : Eruption ne permet pas de configurer les touches, mais le développeur prévoit de pouvoir l'ajouter quand il aura plus de temps (pas avant plusieurs mois donc).

Il m'a proposé d'essayer un autre module, Piper/libratbag (Lien : https://github.com/libratbag/libratbag/). Je vais l'essayer la semaine prochaine. je vous redirai des nouvelles.

EDIT 3 : Libratbag ne permet pas de modifier l’attribution des touches de la Roccat Kone Aimo. Il faudra attendre ou aller sur Windows pour utiliser les boutons supplémentaires.

Marethyu

Dernière modification par Marethyu (Le 06/12/2021, à 11:41)

Hors ligne